[type='text'],
[type='password'],
[type='date'],
[type='datetime'],
[type='datetime-local'],
[type='month'],
[type='week'],
[type='email'],
[type='number'],
[type='search'],
[type='tel'],
[type='time'],
[type='url'],
[type='color'],
select,
textarea {
  border-width: 0 0 1px 0;
  box-shadow: none;
  margin:0 0 1.5rem;
  &:focus{
    border: 2px solid $yellow;
    outline: none;
    box-shadow: none;
    border-width: 0 0 1px 0;
  }
  .dark & {
    color: $t_Light_3;
    &:focus{
      color: $t_LightMost;
    }
  }
}
button{
  @extend a;
  background: none!important;
  font: {
    family: 'bebas_neue_regularregular';
  }
  letter-spacing: 3px;
  padding: 8px 0 0 0!important;
  &:hover{
    color: $t_Dark_2!important;
    .dark & {
      color: $yellow!important;
    }
  }
  &:after, &:before {
	content: '';
  margin-top:8px;
	height: 2px;
	width: 100%;
  margin-left:0%;
	background: $yellow;
  @include transition(all 200ms ease-in-out);

  }
  &:hover:after, &:focus:after {
  	width: 104%;
    margin-left: -2%;
    @include transition(all 200ms ease-in-out);
  }
  /*&:before {
    position: absolute;
    border: 1px solid $t_LightMost;
    border-width: 0 0 1px 0;
    width: 100%;
    left: 0;
    z-index:-1;
    bottom: 17px;
    background: none;
    opacity: .7;
  }*/
}

::-webkit-file-upload-button {
  height:25px;
  width: 100px;
}
[type='file'] {
  background: none!important;
  font: {
    family: 'bebas_neue_regularregular';
  }
  text-transform: none;
  height: 2.4375rem;
  padding: 0.5rem;
  border: 1px solid #cacaca;
  border-width: 0 0 1px 0;
  margin: 0 0 1rem;
  font-family: inherit;
  font-size: 1rem;
  color: #696868;
  background-color: transparent;
  border-radius: 0;
  transition: box-shadow 0.5s, border-color 0.25s ease-in-out;
  -webkit-appearance: none;
}
